
Redmine - Feature #7411

Option to cipher LDAP ans SCM passwords stored in the database

2011-01-22 14:55 - Jean-Philippe Lang

Status: Closed Start date: 2011-01-22

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version: 1.2.0   

Resolution: Fixed   

Description

This option would rely on a cipher key stored in the application configuration file.

Related issues:

Related to Redmine - Feature #2034: Scramble passwords in database table "Rep... Closed 2008-10-15

Related to Redmine - Defect #116: svn password in clear text Closed

Related to Redmine - Defect #30171: Decrypting LDAP and SCM passwords fail if... Closed

Related to Redmine - Defect #33978: Redmine.pm shall decrypt LDAP bind password Confirmed

Associated revisions

Revision 4950 - 2011-02-26 14:09 - Jean-Philippe Lang

Adds support for SCM/LDAP passwords encryption in the database (#7411).

History

#1 - 2011-01-22 14:56 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#2 - 2011-02-26 14:20 - Jean-Philippe Lang

- Status changed from New to Closed

Feature added in r4950. Use database_cipher_key setting in configuration.yml to enable encryption.

#3 - 2011-02-26 14:20 - Jean-Philippe Lang

- Resolution set to Fixed

#4 - 2018-12-10 07:43 - Go MAEDA

- Related to Defect #30171: Decrypting LDAP and SCM passwords fail if the plaintext password is longer than 31 bytes added

#5 - 2020-09-11 02:21 - Go MAEDA

- Related to Defect #33978: Redmine.pm shall decrypt LDAP bind password added
